Subject: Re: bug#13041: 24.2; diacritic-fold-search

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Dec 2012 18:47:30 +0200

> Date: Mon, 03 Dec 2012 11:16:21 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked], 
>  [email-masked]
> 
> But what are the guidelines to interpet `compat'?

For the purposes of comparing strings, both 'compatibility' and
'canonical' decompositions should be treated the same, AFAIU.  You can
find the details here:

    http://unicode.org/reports/tr15/

>  Does every list starting with a `compat' mean that the remaining
> entries of that list represent the constituents of that composite?

Yes.  This comes directly from UnicdeData.txt, e.g.:

  0132;LATIN CAPITAL LIGATURE IJ;Lu;0;L;<compat> 0049 004A;;;;N;LATIN CAPITAL LETTER I J;;;0133;
                                        ^^^^^^^^^^^^^^^^^^

> And how do I now call `put-char-code-property' to make the German sharp
> "s" ("ß") equivalent to "ss"?  Or am I not supposed to do such a thing?

That's already set up in the appropriate case table, I think.  But it
is not a compatibility decomposition, AFAIK.